Sign up and get started with Confidence today! Create your account
Sign up and get started with Confidence today! Create your account
Updates a variant of a flag. The updated variant must satisfy the schema of the flag.
curl --request PATCH \
--url https://flags.eu.confidence.dev/v1/flags/{flag}/variants/{variant} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"value": {},
"labels": [
{}
],
"description": "<string>",
"imageUri": "<string>"
}
'{
"name": "<string>",
"value": {},
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"labels": [
{}
],
"description": "<string>",
"imageUri": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The list of fields in Variant that you want to update e.g. 'description', if empty all mutable properties are updated. Fields are specified relative to the variant.
The resource name of the variant.
For example:
flags/my-flag/variants/control
The value that this variant represents. A possibly nested json object.
General set of labels for this resource.
Show child attributes
A human-friendly description of the variant.
An image URL or path for the variant.
Returns a Flag.Variant.
A possible named value the flag can assign.
The resource name of the variant.
For example:
flags/my-flag/variants/control
The value that this variant represents. A possibly nested json object.
Time when the flag was first created.
Time when the flag was last updated.
Reference to the identity that created this variant.
Reference to the identity that last updated this variant.
General set of labels for this resource.
Show child attributes
A human-friendly description of the variant.
An image URL or path for the variant.
Was this page helpful?
curl --request PATCH \
--url https://flags.eu.confidence.dev/v1/flags/{flag}/variants/{variant} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"value": {},
"labels": [
{}
],
"description": "<string>",
"imageUri": "<string>"
}
'{
"name": "<string>",
"value": {},
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"labels": [
{}
],
"description": "<string>",
"imageUri": "<string>"
}